.step2
    YuriHeader(
        title="Información de contacto"
        tag="Quiero invertir"
    )

    b-row(class="justify-content-center")
        b-col(cols="12" lg="9")
            .points.form
                .p-3.p-lg-5
                    ValidationObserver(v-slot="{ valid }")
                        .l-subtitle.mb-4 Información de contacto
                        b-row
                            b-col(cols="12" md="4")
                                label.form__label
                                    | Nombre *
                                ValidationProvider(name="Nombre" v-slot="{ errors }" rules="required|min:3")
                                    b-form-input(
                                        v-model="name"
                                        autocomplete="off"
                                        @blur="onChange('name', $event.target.value)"
                                    )
                                    .form__error {{ errors[0] }}
                            b-col(cols="12" md="4")
                                label.form__label
                                    | Primer apellido *
                                ValidationProvider(name="Primer apellido" v-slot="{ errors }" rules="required|min:3")
                                    b-form-input(
                                        v-model="lastname_1"
                                        autocomplete="off"
                                        @blur="onChange('lastname_1', $event.target.value)"
                                    )
                                    .form__error {{ errors[0] }}
                            b-col(cols="12" md="4")
                                label.form__label
                                    | Segundo apellido
                                b-form-input(
                                    v-model="lastname_2"
                                    autocomplete="off"
                                    @blur="onChange('lastname_2', $event.target.value)"
                                )
                            b-col.mt-3.mt-xl-4(cols="12" md="2")
                                label.form__label
                                    | Código postal *
                                ValidationProvider(name="Código postal" v-slot="{ errors }" rules="required|numeric|min:5|max:7")
                                    b-form-input(
                                        v-model="f_address_postal_code"
                                        autocomplete="off"
                                        @input="onChange('f_address_postal_code', $event)"
                                        @blur="getAgent"
                                    )
                                    .form__error {{ errors[0] }}

                            b-col.mt-md-3.mt-xl-4(cols="12" md="4")
                                label.form__label
                                    | Email *
                                ValidationProvider(name="Email" v-slot="{ errors }" rules="required|email")
                                    b-form-input(
                                        v-model="email"
                                        autocomplete="off"
                                        @blur="onChange('email', $event.target.value)"
                                    )
                                    .form__error {{ errors[0] }}
                            b-col.mt-md-3.mt-xl-4(cols="5" md="3")
                                label.form__label.text-nowrap
                                    | Prefijo *
                                ValidationProvider(name="Prefijo" v-slot="{ errors }" rules="required")
                                    multiselect(
                                        v-model="mobile_phone_prefix",
                                        :searchable="true"
                                        :options="postal_codes",
                                        :close-on-select="true",
                                        :show-labels="false"
                                        placeholder="Prefijo"
                                        track-by="key"
                                        label="name"
                                        :custom-label="customPrefixCountry"
                                        @input="onChange('mobile_phone_prefix', $event)"
                                    )
                                        template(slot="option" slot-scope="{ option }")
                                            span.d-flex.align-items-center
                                                | {{ option.phone_prefix }}
                                                span.ml-2.small.text-muted {{ option.name }}
                                        template(slot="singleLabel" slot-scope="{ option }")
                                            span.d-flex.align-items-center
                                                | {{ option.phone_prefix }}
                                                span.ml-2.small.text-muted {{ option.name }}
                                    .form__error {{ errors[0] }}
                            b-col.mt-md-3.mt-xl-4(cols="7" md="3")
                                label.form__label
                                    | Teléfono *
                                ValidationProvider(name="Teléfono" v-slot="{ errors }" rules="required|numeric")
                                    b-form-input(
                                        v-model="mobile_phone"
                                        autocomplete="off"
                                        @blur="onChange('mobile_phone', $event.target.value)"
                                    )
                                    .form__error {{ errors[0] }}
                        div
                            ValidationProvider(name="TOC" v-slot="{ errors }" :rules="{required: { allowFalse: false }}")
                                b-form-checkbox(
                                    v-model="lopd"
                                    class="form__toc"
                                    ) Acepto la política de privacidad y recibir información comercial de Cobas AM
                                .form__error {{ errors[0] }}

                        .d-flex.justify-content-end.mt-3.mt-md-4
                            span(
                                v-if="!loading"
                                :class="!valid ? 'disabled' : ''"
                                class="e-btn e-btn__brand step2__continue"
                                @click="next(valid)"
                            ) Continuar
                            span(
                                v-else
                                class="e-btn e-btn__brand step2__continue"
                            )
                                i.fas.fa-circle-notch.fa-spin

    b-row(class="justify-content-center" v-if="agent")
        b-col(cols="12" lg="10")
            .mt-md-5.pt-md-4
                AgentBox(:agent="agent")